restinio::router::pcre_details::match_results_t< Traits >::matched_item_descriptor_t Struct Referencefinal

`#include <pcre_regex_engine.hpp>`

## Public Member Functions

| matched_item_descriptor_t (int begin, int end)

## Public Attributes

int | m_begin
int | m_end

## Detailed Description

template<typename Traits>
struct restinio::router::pcre_details::match_results_t< Traits >::matched_item_descriptor_t

Definition at line 35 of file pcre_regex_engine.hpp.

## Constructor & Destructor Documentation

## matched_item_descriptor_t()

template<typename Traits >

restinio::router::pcre_details::match_results_t< Traits >::matched_item_descriptor_t::matched_item_descriptor_t | ( | int | begin,
|  | int | end
| ) |  |

inline

Definition at line 37 of file pcre_regex_engine.hpp.

## Member Data Documentation

## m_begin

template<typename Traits >

int restinio::router::pcre_details::match_results_t< Traits >::matched_item_descriptor_t::m_begin

Definition at line 44 of file pcre_regex_engine.hpp.

## m_end

template<typename Traits >

int restinio::router::pcre_details::match_results_t< Traits >::matched_item_descriptor_t::m_end

Definition at line 45 of file pcre_regex_engine.hpp.

The documentation for this struct was generated from the following file:

- restinio/router/pcre_regex_engine.hpp